<!DOCTYPE HTML PUBLIC "-//FreeBSD//DTD HTML 4.01 Transitional-Based Extension//EN" [
<!ENTITY base CDATA "../..">
<!ENTITY date "$FreeBSD$">
<!ENTITY title "FreeBSD 8.2-RELEASE Release Notes">
<!ENTITY % navinclude.download "INCLUDE">
]>
<html>
  &header;

  <h2>Release Highlights</h2>

  <p>The highlights in the 8.2-RELEASE are the following:</p>

  <ul>
    <li><p>[amd64] FreeBSD/amd64 now always sets the KVA space as
	equal to or larger than physical memory size.  This change would help to
	prevent a &#8220;kmem_map too small&#8221; panic which often occurs
	when using ZFS.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214620"
	  target="_top">r214620</a>]</p></li>

    <li><p>The FreeBSD <tt class="FILENAME">GENERIC</tt> kernel is now
	compiled with <code class="OPTION">KDB</code> and <code
	  class="OPTION">KDB_TRACE</code> options. From 8.2-RELEASE
	the kernel supports displaying a stack trace on panic by
	using <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=stack&amp;sektion=9&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span
	      class="REFENTRYTITLE">stack</span>(9)</span></a> facility
	with no debugger backend like <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=ddb&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span
	      class="REFENTRYTITLE">ddb</span>(8)</span></a>. Note that
	this does not change the default behaviors of the <tt
	  class="FILENAME">GENERIC</tt> kernel on panic.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214326"
	  target="_top">r214326</a>]</p></li>

    <li><p>The FreeBSD <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=crypto&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span
	      class="REFENTRYTITLE">crypto</span>(4)</span></a> framework
	(opencrypto) now supports XTS-AES (XEX-TCB-CTS, or XEX-based
	Tweaked Code Book mode with CipherText Stealing), which is
	defined in IEEE Std. 1619-2007.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214254"
	  target="_top">r214254</a>]</p></li>

    <li><p>[amd64] Xen HVM support in FreeBSD/amd64 kernel has been improved. For more details,
	see <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=xen&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">xen</span>(4)</span></a> manual
	page.[<a href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215788"
	  target="_top">r215788</a>]</p></li>

    <li><p>FreeBSD now fully supports GPT (GUID Partition Table). Checksums of primary header and
	primary partition table are verified properly now.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213994"
	  target="_top">r213994</a>]</p></li>

    <li><p>[amd64, i386] The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=aesni&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">aesni</span>(4)</span></a> driver
	has been added. This supports AES accelerator on Intel CPUs and accelerates AES
	operations for <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=crypto&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">crypto</span>(4)</span></a>.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215633"
	  target="_top">r215633</a>]</p></li>

    <li><p>[amd64, i386] The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=aibs&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">aibs</span>(4)</span></a> driver
	has been added. This supports the hardware sensors in ASUS motherboards and replaces the
	<a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=acpi_aiboost&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span
	      class="REFENTRYTITLE">acpi_aiboost</span>(4)</span></a>
	driver.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=210476"
	  target="_top">r210476</a>]</p></li>

    <li><p>The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=tpm&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">tpm</span>(4)</span></a> driver,
	which supports Trusted Platform Module has been added.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215036"
	  target="_top">r215036</a>]</p></li>

    <li><p>The xhci(4) driver, which supports Extensible Host Controller Interface (xHCI) and USB
	3.0, has been added.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215944"
	  target="_top">r215944</a>]</p></li>

    <li><p>The FreeBSD Linux emulation subsystem now supports the <b
	  class="APPLICATION">video4linux</b> API. This requires native <b
	  class="APPLICATION">video4linux</b> hardware drivers such as the ones provided by <tt
	  class="FILENAME">multimedia/pwcbsd</tt> and <tt
	  class="FILENAME">multimedia/webcamd</tt>.</p></li>

    <li><p>The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=miibus&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">miibus</span>(4)</span></a> has
	been rewritten for the generic IEEE 802.3 annex 31B full duplex flow control support. The
	<a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=alc&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">alc</span>(4)</span></a>, <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a>, <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=bce&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">bce</span>(4)</span></a>, <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=cas&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">cas</span>(4)</span></a>, <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=fxp&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">fxp</span>(4)</span></a>, <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=gem&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">gem</span>(4)</span></a>, <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=jme&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">jme</span>(4)</span></a>, <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=msk&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">msk</span>(4)</span></a>, <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=nfe&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">nfe</span>(4)</span></a>, <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=re&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">re</span>(4)</span></a>, <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=stge&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">stge</span>(4)</span></a>, and <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=xl&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">xl</span>(4)</span></a> drivers
	along with atphy(4), bmtphy(4), brgphy(4), e1000phy(4), gentbi(4), inphy(4),
	ip1000phy(4), jmphy(4), nsgphy(4), nsphyter(4), and <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=rgephy&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">rgephy</span>(4)</span></a> have
	been updated to support flow control via this facility.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211379"
	  target="_top">r211379</a>, <a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215881"
	  target="_top">r215881</a>, <a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215890"
	  target="_top">r215890</a>, <a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=2105894"
	  target="_top">r2105894</a>, <a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=216002"
	  target="_top">r216002</a>, <a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=216023"
	  target="_top">r216023</a>, <a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=216029"
	  target="_top">r216029</a>, <a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=216031"
	  target="_top">r216031</a>, <a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=216033"
	  target="_top">r216033</a>]</p></li>

    <li><p>A new <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=netgraph&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">netgraph</span>(4)</span></a> node
	<a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_patch&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_patch</span>(4)</span></a> has
	been added. This performs data modification of packets passing through. Modifications are
	restricted to a subset of C language operations on unsigned integers of 8, 16, 32 or
	64-bit size.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=209843"
	  target="_top">r209843</a>]</p></li>

    <li><p>The FreeBSD TCP reassembly implementation has been improved. A long-standing
	accounting bug affecting SMP systems has been fixed and the <code
	  class="VARNAME">net.inet.tcp.reass.maxqlen</code> <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=sysctl&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysctl</span>(8)</span></a>
	variable has been retired in favor of a per-connection dynamic limit based on the receive
	socket buffer size. FreeBSD receivers now handle packet loss (particularly losses caused
	by queue overflows) significantly better than before which improves connection
	throughput.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214865"
	  target="_top">r214865</a>, <a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214866"
	  target="_top">r214866</a>]</p></li>

    <li><p>The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=siftr&amp;sektion=4&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">siftr</span>(4)</span></a>,
	Statistical Information For TCP Research (SIFTR) kernel module has been added. This is a
	facility that logs a range of statistics on active TCP connections to a log file. It
	provides the ability to make highly granular measurements of TCP connection state, aimed
	at system administrators, developers and researchers.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214859"
	  target="_top">r214859</a>]</p></li>

    <li><p>The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=geli&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">geli</span>(8)</span></a> GEOM
	class now uses XTS-AES mode by default.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214405"
	  target="_top">r214405</a>]</p></li>

    <li><p>The ZFS on-disk format has been updated to version 15 and
	various performance improvements for the ZFS have been imported
	from OpenSolaris.</p></li>

    <li><p>Userland support for the <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=dtrace&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">dtrace</span>(1)</span></a>
	subsystem has been added. This allows inspection of userland software itself and its
	correlation with the kernel, thus allowing a much better picture of what exactly is going
	on behind the scenes. The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=dtruss&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">dtruss</span>(1)</span></a>
	utility has been added and <tt class="FILENAME">libproc</tt> has been updated to support
	the facility.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214983"
	  target="_top">r214983</a>]</p></li>

    <li><p>The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=gpart&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">gpart</span>(8)</span></a> utility
	now supports a <tt class="COMMAND">recover</tt> subcommand for GPT partition tables.</p></li>

    <li><p>The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=gpart&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">gpart</span>(8)</span></a> utility
	now supports <tt class="LITERAL">GPT_ENT_ATTR_BOOTME</tt>, <tt
	  class="LITERAL">GPT_ENT_ATTR_BOOTONCE</tt>, and <tt
	  class="LITERAL">GPT_ENT_ATTR_BOOTFAILED</tt> attributes in GPT. The attribute keywords in
	the command line are <tt class="LITERAL">bootme</tt>, <tt class="LITERAL">bootonce</tt>,
	and <tt class="LITERAL">bootfailed</tt> respectively.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213994"
	  target="_top">r213994</a>]</p></li>

    <li><p>The <tt class="FILENAME">libarchive</tt> library and <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=tar&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span
	      class="REFENTRYTITLE">tar</span>(1)</span></a> utility now
	support LZMA (Lempel-Ziv-Markov chain-Algorithm) compression
	  format.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213667"
	  target="_top">r213667</a>]</p></li>

    <li><p>The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=newsyslog&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span
	      class="REFENTRYTITLE">newsyslog</span>(8)</span></a> utility now
	supports an <code class="OPTION">-S <tt
	    class="REPLACEABLE"><i>pidfile</i></tt></code> option to override the
	default <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=syslogd&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span
	      class="REFENTRYTITLE">syslogd</span>(8)</span></a> PID file.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211699"
	  target="_top">r211699</a>]</p></li>

    <li><p>The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=newsyslog&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">newsyslog</span>(8)</span></a>
	utility now supports a special log file name <tt class="LITERAL">&lt;include&gt;</tt> for
	processing file inclusion. Globbing in the file name and circular dependency detection
	are supported. For more details, see the <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=newsyslog.conf&amp;sektion=5&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span
	      class="REFENTRYTITLE">newsyslog.conf</span>(5)</span></a> manual page.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=215622"
	  target="_top">r215622</a>]</p></li>

    <li><p>The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=pmcstat&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span
	  class="REFENTRYTITLE">pmcstat</span>(8)</span></a> utility
	  now supports a file and a network socket as a top source.
	  This allows top monitoring over TCP on a system with no
	  local symbols, for example.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211098"
	  target="_top">r211098</a>]</p></li>

    <li><p>The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=tftp&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">tftp</span>(1)</span></a> and <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=tftpd&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">tftpd</span>(8)</span></a>
	utilities have been improved for better interoperability and they now support RFC 1350,
	2347, 2348, 2349, and 3617.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213036"
	  target="_top">r213036</a>, <a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=213038"
	  target="_top">r213038</a>]</p></li>

    <li><p>A periodic script for <tt class="COMMAND">zfs scrub</tt> has been added. For more
	details, see the <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=periodic.conf&amp;sektion=5&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">periodic.conf</span>(5)</span></a>
	manual page.</p></li>

    <li><p>A periodic script which can be used to find installed
	ports' files with mismatched checksum has been added. For more
	details, see the <a
	href="http://www.FreeBSD.org/cgi/man.cgi?query=periodic.conf&amp;sektion=5&amp;manpath=FreeBSD+8.2-RELEASE">
	<span class="CITEREFENTRY"><span
	class="REFENTRYTITLE">periodic.conf</span>(5)</span></a>
	manual page.</p></li>

    <li><p>The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=sysinstall&amp;sektion=8&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysinstall</span>(8)</span></a>
	utility now uses the following numbers for default and minimum partition sizes: 1GB for
	<tt class="FILENAME">/</tt>, 4GB for <tt class="FILENAME">/var</tt>, and 1GB for <tt
	  class="FILENAME">/tmp</tt>.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=211007"
	  target="_top">r211007</a>]</p></li>

    <li><p>The <b class="APPLICATION">ACPI-CA</b> has been updated to 20101013.</p></li>

    <li><p>The <a
	  href="http://www.FreeBSD.org/cgi/man.cgi?query=ee&amp;sektion=1&amp;manpath=FreeBSD+8.2-RELEASE">
	  <span class="CITEREFENTRY"><span class="REFENTRYTITLE">ee</span>(1)</span></a> program
	has been updated to version 1.5.2.[<a
	  href="http://svn.freebsd.org/viewvc/base?view=revision&amp;revision=214287"
	  target="_top">r214287</a>]</p></li>

    <li><p><b class="APPLICATION">ISC BIND</b> has been updated to version 9.6-ESV-R3.</p></li>

    <li><p><b class="APPLICATION">netcat</b> has been updated to version 4.8.</p></li>

    <li><p><b class="APPLICATION">OpenSSL</b> has been updated to version 0.9.8q.</p></li>

    <li><p>The <b class="APPLICATION">timezone</b> database has been updated to the <b
	  class="APPLICATION">tzdata2010o</b> release.</p></li>

    <li><p>The <b class="APPLICATION">xz</b> has been updated from snapshot as of 12 April 2010
	to 5.0.0 release</p></li>

    <li><p>The supported version of the <b class="APPLICATION">GNOME</b> desktop environment (<a
	  href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/gnome2/pkg-descr"><tt
	    class="FILENAME">x11/gnome2</tt></a>) has been updated to 2.32.1.</p></li>

    <li><p>The supported version of the <b class="APPLICATION">KDE</b> desktop environment (<a
	  href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/kde4/pkg-descr"><tt
	    class="FILENAME">x11/kde4</tt></a>) has been updated to 4.5.5.</p></li>
  </ul>

  <p>For more details, please see <a href="relnotes-detailed.html">the
    Detailed Release Notes</a>.</p>

  <p>A list of all platforms currently under development can be found
    on the <a href="../../platforms/index.html">Supported
      Platforms</a> page.</p>

  &footer;
  </body>
</html>
